Bug 9378 - неверный provides на x86_64
: неверный provides на x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/util-vserver-core)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-04-07 13:51 by
Modified: 2006-06-17 16:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-04-07 13:51:15
Имеем:
util-vserver в Sisyphus

для i586 пакет собрался нормально
для x86_64:
Пакет util-vserver-sysv версии 0.30.210-alt1.1 имеет неудовлетворенные зависимос
ти:
 Для установки требует: /usr/lib64/util-vserver
 Для установки требует: /usr/lib64/util-vserver

После пересборки пакета в hasher эта проблема исчезает.
Либо пакеты некорректно собираются для x86_64, либо ещё что-то.
------- Comment #1 From 2006-04-07 20:02:07 -------
%package sysv
Summary:                SysV-initscripts for vserver
Group:                  System/Base
Provides:               init(%name) = sysv
Requires:               make diffutils
Requires:               %name = %version-%release
Requires(post):         %chkconfig
Requires(preun):        %chkconfig
Requires(pre):          %_initrddir %pkglibdir
requires(postun):       %_initrddir %pkglibdir

Пока пакет, содержащий каталог %pkglibdir, не будет установлен, зависимость не
будет удовлетворена.
------- Comment #2 From 2006-04-08 01:43:33 -------
Предыдущий комментарий неполный, в нём говорилось о том что зависимости, о
которых идёт речь, не автоматические а явно указанные в spec-файле.

К тому же
$ egrep -i 'provides[[:space:]]*:.*/' util-vserver.spec
Provides:               /usr/lib/util-vserver
------- Comment #3 From 2006-04-08 01:44:35 -------
reassigned to maintainer
------- Comment #4 From 2006-04-10 10:38:08 -------
fixed in 0.30.210-alt2